import { EscrowContract } from './Contract.js';
import { MembersRouter } from '../routes/members.js';
export declare class MemberController {
    readonly _contract: EscrowContract;
    constructor(contract: EscrowContract);
    get cid(): string;
    get API(): MembersRouter;
    refresh(): Promise<{
        status: "draft" | "published" | "active" | "disputed" | "closed";
        updated_at: Date;
        contract_id: string;
        members: string[];
        revision: number;
        created_at: Date;
        claims: {
            pubkey: string;
            address: string;
            nonce: string;
            script: string[];
        }[];
        deposits: {
            value: bigint;
            txid: string;
            vout: number;
        }[];
        details: {
            value: bigint;
            admin: string;
            agent: string;
            refund: string;
            expiration: number;
            title: string;
            description?: string | undefined;
            terms?: string | undefined;
        };
        endorsements: {
            pubkey: string;
            hash: string;
            signature: string;
        }[];
        fees: {
            pubkey: string;
            value: bigint;
            address: string;
            script: string[];
        }[];
        meta: {
            block_id: string;
            open_txid?: string | undefined;
            close_txid?: string | undefined;
        };
        payments: {
            pubkey: string;
            value: bigint;
            address: string;
            script: string[];
        }[];
        profiles: {
            pubkey: string;
            nonce: string;
            alias: string;
            tags: [string, string | number | boolean | null][];
        }[];
        records: {
            pubkey: string;
            label: string;
            content: string;
        }[];
        scripts: {
            pubkey: string;
            script: string[];
            label: string;
        }[];
        session: {
            secret: string;
            pubkey?: string | undefined;
            nonce?: string | undefined;
            sighash?: string | undefined;
            txhex?: string | undefined;
            taptweak?: string | undefined;
        };
        signatures: {
            pubkey: string;
            hash: string;
            psig: string;
        }[];
        transactions: {
            type: "refund" | "claim" | "deposit" | "settlement";
            txid: string;
            txhex: string;
            confirmed: boolean;
            updated_at: Date;
        }[];
    }>;
    add(member: string): Promise<string[]>;
    remove(member: string): Promise<string[]>;
    update(members: string[]): Promise<string[]>;
    delete(members: string[]): Promise<string[]>;
}
//# sourceMappingURL=Member.d.ts.map