import { ResponseAPI } from '../schema/types.js';
import { ProfileData, ProfileTag, ProfileTemplate } from '../schema/model/profile.js';
type Fetcher = typeof fetch;
export declare class ProfileRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    list: () => Promise<ResponseAPI<ProfileData[]>>;
    read: (contractId: string) => Promise<ResponseAPI<ProfileData>>;
    update: (contractId: string, template: ProfileTemplate) => Promise<ResponseAPI>;
    remove: (contractId: string) => Promise<ResponseAPI>;
    clear: () => Promise<ResponseAPI>;
    tags: {
        update: (contractId: string, tags: ProfileTag[]) => Promise<ResponseAPI>;
        remove: (contractId: string, labels: string[]) => Promise<ResponseAPI>;
    };
}
export {};
//# sourceMappingURL=profile.d.ts.map