import { z } from 'zod';
export type ClaimData = z.infer<typeof data>;
export type ClaimTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    address: z.ZodString;
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    address: string;
    nonce: string;
}, {
    address: string;
    nonce: string;
}>;
declare const data: z.ZodObject<{
    address: z.ZodString;
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    script: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    address: string;
    nonce: string;
    script: string[];
}, {
    pubkey: string;
    address: string;
    nonce: string;
    script: string[];
}>;
export declare const ClaimSchema: {
    data: z.ZodObject<{
        address: z.ZodString;
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        script: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        address: string;
        nonce: string;
        script: string[];
    }, {
        pubkey: string;
        address: string;
        nonce: string;
        script: string[];
    }>;
    template: z.ZodObject<{
        address: z.ZodString;
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        address: string;
        nonce: string;
    }, {
        address: string;
        nonce: string;
    }>;
};
export {};
//# sourceMappingURL=claim.d.ts.map