import { z } from 'zod';
export type ContractDetails = z.infer<typeof data>;
export type ContractTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    agent: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    description: z.ZodOptional<z.ZodString>;
    expiration: z.ZodDefault<z.ZodNumber>;
    private: z.ZodDefault<z.ZodBoolean>;
    refund: z.ZodString;
    terms: z.ZodOptional<z.ZodString>;
    title: z.ZodString;
    value: z.ZodBigInt;
}, "strip", z.ZodTypeAny, {
    value: bigint;
    refund: string;
    expiration: number;
    title: string;
    private: boolean;
    agent?: string | undefined;
    description?: string | undefined;
    terms?: string | undefined;
}, {
    value: bigint;
    refund: string;
    title: string;
    agent?: string | undefined;
    description?: string | undefined;
    expiration?: number | undefined;
    private?: boolean | undefined;
    terms?: string | undefined;
}>;
declare const data: z.ZodObject<{
    admin: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    agent: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    refund: z.ZodString;
    expiration: z.ZodNumber;
    description: z.ZodOptional<z.ZodString>;
    terms: z.ZodOptional<z.ZodString>;
    title: z.ZodString;
    value: z.ZodBigInt;
}, "strip", z.ZodTypeAny, {
    value: bigint;
    admin: string;
    agent: string;
    refund: string;
    expiration: number;
    title: string;
    description?: string | undefined;
    terms?: string | undefined;
}, {
    value: bigint;
    admin: string;
    agent: string;
    refund: string;
    expiration: number;
    title: string;
    description?: string | undefined;
    terms?: string | undefined;
}>;
export declare const DetailSchema: {
    data: z.ZodObject<{
        admin: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        agent: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        refund: z.ZodString;
        expiration: z.ZodNumber;
        description: z.ZodOptional<z.ZodString>;
        terms: z.ZodOptional<z.ZodString>;
        title: z.ZodString;
        value: z.ZodBigInt;
    }, "strip", z.ZodTypeAny, {
        value: bigint;
        admin: string;
        agent: string;
        refund: string;
        expiration: number;
        title: string;
        description?: string | undefined;
        terms?: string | undefined;
    }, {
        value: bigint;
        admin: string;
        agent: string;
        refund: string;
        expiration: number;
        title: string;
        description?: string | undefined;
        terms?: string | undefined;
    }>;
    template: z.ZodObject<{
        agent: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
        description: z.ZodOptional<z.ZodString>;
        expiration: z.ZodDefault<z.ZodNumber>;
        private: z.ZodDefault<z.ZodBoolean>;
        refund: z.ZodString;
        terms: z.ZodOptional<z.ZodString>;
        title: z.ZodString;
        value: z.ZodBigInt;
    }, "strip", z.ZodTypeAny, {
        value: bigint;
        refund: string;
        expiration: number;
        title: string;
        private: boolean;
        agent?: string | undefined;
        description?: string | undefined;
        terms?: string | undefined;
    }, {
        value: bigint;
        refund: string;
        title: string;
        agent?: string | undefined;
        description?: string | undefined;
        expiration?: number | undefined;
        private?: boolean | undefined;
        terms?: string | undefined;
    }>;
};
export {};
//# sourceMappingURL=details.d.ts.map