import { z } from 'zod';
export type PaymentData = z.infer<typeof data>;
export type PaymentTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    address: z.ZodString;
    value: z.ZodBigInt;
}, "strip", z.ZodTypeAny, {
    value: bigint;
    address: string;
}, {
    value: bigint;
    address: string;
}>;
declare const data: z.ZodObject<{
    value: z.ZodBigInt;
    address: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    script: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    value: bigint;
    address: string;
    script: string[];
}, {
    pubkey: string;
    value: bigint;
    address: string;
    script: string[];
}>;
export declare const PaymentSchema: {
    data: z.ZodObject<{
        value: z.ZodBigInt;
        address: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        script: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        value: bigint;
        address: string;
        script: string[];
    }, {
        pubkey: string;
        value: bigint;
        address: string;
        script: string[];
    }>;
    template: z.ZodObject<{
        address: z.ZodString;
        value: z.ZodBigInt;
    }, "strip", z.ZodTypeAny, {
        value: bigint;
        address: string;
    }, {
        value: bigint;
        address: string;
    }>;
};
export {};
//# sourceMappingURL=payment.d.ts.map