import { z } from 'zod';
export type ProfileData = z.infer<typeof data>;
export type ProfileTag = z.infer<typeof entry>;
export type ProfileTemplate = z.infer<typeof template>;
declare const entry: z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>;
declare const template: z.ZodObject<{
    alias: z.ZodString;
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    tags: z.ZodArray<z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>, "many">;
}, "strip", z.ZodTypeAny, {
    nonce: string;
    alias: string;
    tags: [string, string | number | boolean | null][];
}, {
    nonce: string;
    alias: string;
    tags: [string, string | number | boolean | null][];
}>;
declare const data: z.ZodObject<{
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    alias: z.ZodString;
    tags: z.ZodArray<z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>, "many">;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    nonce: string;
    alias: string;
    tags: [string, string | number | boolean | null][];
}, {
    pubkey: string;
    nonce: string;
    alias: string;
    tags: [string, string | number | boolean | null][];
}>;
export declare const ProfileSchema: {
    data: z.ZodObject<{
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        alias: z.ZodString;
        tags: z.ZodArray<z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>, "many">;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        nonce: string;
        alias: string;
        tags: [string, string | number | boolean | null][];
    }, {
        pubkey: string;
        nonce: string;
        alias: string;
        tags: [string, string | number | boolean | null][];
    }>;
    tags: z.ZodArray<z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>, "many">;
    template: z.ZodObject<{
        alias: z.ZodString;
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        tags: z.ZodArray<z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>, "many">;
    }, "strip", z.ZodTypeAny, {
        nonce: string;
        alias: string;
        tags: [string, string | number | boolean | null][];
    }, {
        nonce: string;
        alias: string;
        tags: [string, string | number | boolean | null][];
    }>;
};
export {};
//# sourceMappingURL=profile.d.ts.map