import { z } from 'zod';
export type ScriptTemplate = z.infer<typeof template>;
export type ScriptData = z.infer<typeof data>;
declare const template: z.ZodObject<{
    label: z.ZodString;
    script: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    script: string[];
    label: string;
}, {
    script: string[];
    label: string;
}>;
declare const data: z.ZodObject<{
    script: z.ZodArray<z.ZodString, "many">;
    label: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    script: string[];
    label: string;
}, {
    pubkey: string;
    script: string[];
    label: string;
}>;
export declare const ScriptSchema: {
    data: z.ZodObject<{
        script: z.ZodArray<z.ZodString, "many">;
        label: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        script: string[];
        label: string;
    }, {
        pubkey: string;
        script: string[];
        label: string;
    }>;
    template: z.ZodObject<{
        label: z.ZodString;
        script: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        script: string[];
        label: string;
    }, {
        script: string[];
        label: string;
    }>;
};
export {};
//# sourceMappingURL=script.d.ts.map