import { z } from 'zod';
export type SessionData = z.infer<typeof data>;
declare const data: z.ZodObject<{
    secret: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    nonce: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    sighash: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    txhex: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    taptweak: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
}, "strip", z.ZodTypeAny, {
    secret: string;
    pubkey?: string | undefined;
    nonce?: string | undefined;
    sighash?: string | undefined;
    txhex?: string | undefined;
    taptweak?: string | undefined;
}, {
    secret: string;
    pubkey?: string | undefined;
    nonce?: string | undefined;
    sighash?: string | undefined;
    txhex?: string | undefined;
    taptweak?: string | undefined;
}>;
export declare const SessionSchema: {
    data: z.ZodObject<{
        secret: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
        nonce: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
        sighash: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
        txhex: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
        taptweak: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    }, "strip", z.ZodTypeAny, {
        secret: string;
        pubkey?: string | undefined;
        nonce?: string | undefined;
        sighash?: string | undefined;
        txhex?: string | undefined;
        taptweak?: string | undefined;
    }, {
        secret: string;
        pubkey?: string | undefined;
        nonce?: string | undefined;
        sighash?: string | undefined;
        txhex?: string | undefined;
        taptweak?: string | undefined;
    }>;
};
export {};
//# sourceMappingURL=session.d.ts.map