import { z } from 'zod';
export type TransactionData = z.infer<typeof data>;
declare const data: z.ZodObject<{
    confirmed: z.ZodBoolean;
    type: z.ZodEnum<["claim", "deposit", "refund", "settlement"]>;
    txid: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    txhex: z.ZodEffects<z.ZodString, string, string>;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    type: "refund" | "claim" | "deposit" | "settlement";
    txid: string;
    txhex: string;
    confirmed: boolean;
    updated_at: Date;
}, {
    type: "refund" | "claim" | "deposit" | "settlement";
    txid: string;
    txhex: string;
    confirmed: boolean;
    updated_at: Date;
}>;
export declare const TxSchema: {
    data: z.ZodObject<{
        confirmed: z.ZodBoolean;
        type: z.ZodEnum<["claim", "deposit", "refund", "settlement"]>;
        txid: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        txhex: z.ZodEffects<z.ZodString, string, string>;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        type: "refund" | "claim" | "deposit" | "settlement";
        txid: string;
        txhex: string;
        confirmed: boolean;
        updated_at: Date;
    }, {
        type: "refund" | "claim" | "deposit" | "settlement";
        txid: string;
        txhex: string;
        confirmed: boolean;
        updated_at: Date;
    }>;
};
export {};
//# sourceMappingURL=transaction.d.ts.map